1. filters
Zalando Shop
  • articles
    • Get Article Reviews
      GET
    • Get Article Reviews Summaries
      GET
    • Get Article Reviews Summaries by articleModelId
      GET
    • Get Article Reviews by reviewId
      GET
    • Search for Articles
      GET
    • Get Article by articleId
      GET
    • Get Article media by articleId
      GET
    • Get Article reviews by articleId
      GET
    • Get Article reviews summary by articleId
      GET
    • Get Article units by articleId
      GET
    • Get Article units by articleId snd unitId
      GET
  • brands
    • Shop Brands
      GET
    • Get Single Brand by Key
      GET
  • categories
    • Shop Categories
      GET
    • Get Single Category by Key
      GET
  • domains
    • Shop Domains
      GET
  • facets
    • Shop Facets
      GET
  • filters
    • Shop Filters
      GET
    • Get Single Filter by filterName
      GET
  • recommendations
    • Get Recommendations by articleId
      GET
  • Schemas
    • Schemas
      • Article
      • Article-Attribute
      • Article-Image
      • Article-Media
      • Article-Price
      • Article-Review
      • Article-Reviews
      • Article-Reviews-Summaries
      • Article-Reviews-Summary
      • Article-Unit
      • Article-Units
      • Articles
      • Brand
      • BrandFamily
      • Brands
      • Categories
      • Category
      • Domain
      • ErrorDetail
      • ErrorMessage
      • Facet
      • Facet-Value
      • Facets
      • Filter
      • Filter-Value
      • Filters
      • Page
      • Recommendations
      • Recommendations-Article
  1. filters

Shop Filters

GET
/filters
Zalando API Filters Schema

Request

Query Params

Header Params

Responses

🟢200Filters response.
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.zalando.com//filters'
Response Response Example
[
    {
        "multiValue": true,
        "name": "ageGroup",
        "type": "ENUM",
        "values": [
            {
                "displayName": "babies",
                "key": "babies"
            },
            {
                "displayName": "kids",
                "key": "kids"
            },
            {
                "displayName": "teen",
                "key": "teen"
            },
            {
                "displayName": "adult",
                "key": "adult"
            }
        ]
    },
    {
        "multiValue": true,
        "name": "brand",
        "type": "KEY",
        "values": []
    }
]
Modified at 2023-08-15 09:14:44
Previous
Shop Facets
Next
Get Single Filter by filterName
Built with